Bug 676405 - Improve supportability by adding lvm command symlinks into rescue shell to avoid having to preface command with "lvm"
Improve supportability by adding lvm command symlinks into rescue shell to av...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On: 676404
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-09 13:33 EST by Dave Wysochanski
Modified: 2013-07-04 08:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 676404
Environment:
Last Closed: 2011-06-27 07:10:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2011-02-09 13:33:31 EST
+++ This bug was initially created as a clone of Bug #676404 +++

When running in the rescue shell, the normal lvm command symlinks are not present as in a normal environment or even in the chrooted / filesystem environment.  Because of this, users recovering their systems by booting into the rescue shell have to type "lvm" to preface each command, for example, "lvm pvs" instead of just "pvs".  It should be a simple fix to add these symlinks into the rescue shell.

Note this is in the rescue environment's shell (rather than the chroot-ed / filesystem).  If you choose 'skip' on the options to mount linux filesystems then you will not be able to run pv/vg/lv commands without prefacing them with "lvm ".

Below are probably all the symlinks needed.  Note that this was taken from a booted RHEL6.0 system.  The only difference from a rescue environment I think should be the symlinks should be in /usr/sbin in the rescue shell.

# ls -l /sbin | grep lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvchange -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvconvert -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvcreate -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvdisplay -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvextend -> lvm
-r-xr-xr-x. 1 root root  794824 Dec  9 10:46 lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvmchange -> lvm
-r-xr-xr-x. 1 root root    6691 Dec  9 10:46 lvmconf
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvmdiskscan -> lvm
-r-xr-xr-x. 1 root root    5854 Dec  9 10:46 lvmdump
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvmsadc -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvmsar -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvreduce -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvremove -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvrename -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvresize -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvs -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 lvscan -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvchange -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvck -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvcreate -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvdisplay -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvmove -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvremove -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvresize -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvs -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 pvscan -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgcfgbackup -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgcfgrestore -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgchange -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgck -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgconvert -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgcreate -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgdisplay -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgexport -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgextend -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgimport -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgmerge -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgmknodes -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgreduce -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgremove -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgrename -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgs -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgscan -> lvm
lrwxrwxrwx. 1 root root       3 Jan  3 11:18 vgsplit -> lvm
Comment 1 Martin Gracik 2011-02-17 07:39:43 EST
Hi, I cannot reproduce this. I booted today's rawhide into rescue mode, pressed skip on the first screen, then run the shell, and I have all the lvm symlinks in the /sbin directory. Can you try again?

Note You need to log in before you can comment on or make changes to this bug.